> ## Documentation Index
> Fetch the complete documentation index at: https://developer.valuechecker.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Load Inventory from Portal to Cart



## OpenAPI

````yaml get /client_reference/{client_reference_id}/portal/customer/load
openapi: 3.0.0
info:
  title: ValueChecker API
  description: The ValueChecker Application Programming Interface.
  version: 0.150.1
  x-logo:
    url: >-
      https://files.valuechecker.net/images/default-category-images/Value-Checker_top_bar_logo.png
    backgroundColor: '#FFFFFF'
    altText: ValueChecker logo
  contact:
    name: Contact
    url: https://www.valuechecker.net/contact/
    email: support@valuechecker.net
servers:
  - url: https://api.valuechecker.net/
    description: ValueChecker API URL.
security:
  - apiKey: []
tags:
  - name: default
externalDocs:
  description: PDF Documentation (official)
  url: https://www.valuechecker.net/docs/api/pdf
paths:
  /client_reference/{client_reference_id}/portal/customer/load:
    get:
      tags:
        - default
      summary: Load Inventory from Portal to Cart
      parameters:
        - $ref: '#/components/parameters/client_reference_id'
        - $ref: '#/components/parameters/client_id'
        - $ref: '#/components/parameters/session-id'
        - name: force_load
          in: query
          required: false
          description: >-
            Optional boolean value. When `true`, all inventory data is processed
            potentially overwriting any changes made by the advocate in the
            Standalone to previously loaded data. This can be a heavy operation
            on large inventories. Use intentionally when needed. When `false`
            (or not present), only new Inventory items are processed. This is
            the default behavior.
          schema:
            type: boolean
      responses:
        '200':
          description: OK
          headers:
            Date:
              schema:
                type: string
                example: Tue, 25 Jul 2023 11:48:58 GMT
            Content-Type:
              schema:
                type: string
                example: application/json
            Content-Length:
              schema:
                type: integer
                example: '330017'
            Connection:
              schema:
                type: string
                example: keep-alive
            x-request-id:
              schema:
                type: string
                example: 5f6962fe-5c32-4d8d-ad17-0bca391b0c19
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  event_code:
                    type: string
                  event_dict:
                    type: object
                    properties:
                      event_severity:
                        type: string
                      title:
                        type: string
                      description:
                        type: string
              example:
                error: Client reference 9337 was not found
                event_code: ERNF00
                event_dict:
                  event_severity: ERROR
                  title: Wrong "client_reference_id" value
                  description: The client_reference_id "9337" was not found
        '401':
          $ref: '#/components/responses/401'
components:
  parameters:
    client_reference_id:
      name: client_reference_id
      in: path
      schema:
        type: integer
      required: true
      description: The client reference identifier.
      example: '9337'
    client_id:
      name: client_id
      in: query
      schema:
        type: integer
      example: '10'
      description: >-
        The client ID for the request. It's required if you have access to
        multiple clients with your API key. Otherwise, it's optional.
    session-id:
      name: session-id
      in: query
      schema:
        type: string
      example: a1b2c3d4e5f6g7h8i9j0
      description: Optional session identifier of the user.
  responses:
    '401':
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
              event_code:
                type: string
              event_dict:
                type: object
                properties:
                  event_severity:
                    type: string
                  title:
                    type: string
                  description:
                    type: string
          example:
            error: Invalid Authorization header
            event_code: ERIT00
            event_dict:
              event_severity: ERROR
              title: Invalid Authorization header
              description: Please provide the right authorization token
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Note! Prefix your <api-key> with `apiKey `. Note the space after "apiKey
        ".

````